package contants

type Config struct {
	ConfigId   int
	ConfigType string
}

const (
	ConfigTypeInt  = "int"
	ConfigTypeStr  = "string"
	ConfigTypeByte = "byte"
)
const (
	// configCode
	HTCPELoginUrl = "HtCpeLoginUrl"
	ShowMediaView = "ShowMediaView"
	PaymentWay    = "PaymentWay"
)

// SysConfigMap 用于存储错误码和错误信息的映射
var SysConfigMap = map[string]*Config{
	HTCPELoginUrl: {ConfigId: 1000, ConfigType: ConfigTypeStr},
	ShowMediaView: {ConfigId: 1001, ConfigType: ConfigTypeInt},
	PaymentWay:    {ConfigId: 1003, ConfigType: ConfigTypeStr},
}

func GetConfig(code string) *Config {
	return SysConfigMap[code]
}
