package config

import (
	"eta/eta_mini_ht_api/models"
	"time"
)

const (
	configColumn = "customer_risk,product_risk"
)

type CustomerProductRiskMapping struct {
	Id           int       `gorm:"primaryKey;autoIncrement"`
	CustomerRisk string    `gorm:"customer_risk"` // 客户风险
	ProductRisk  string    `gorm:"product_risk"`  // 产品风险
	Creator      string    `gorm:"creator"`       //创建人
	Modifier     string    `gorm:"modifier"`      //修改人
	IsDeleted    bool      `gorm:"is_deleted"`    // 是否删除
	CreatedTime  time.Time `gorm:"created"`       // 创建时间
	UpdatedTime  time.Time `gorm:"updated_time"`  // 更新时间
}

func (cp *CustomerProductRiskMapping) TableName() string {
	return "customer_product_risk_mapping"
}
func GetCustomerRiskMapping(customerRisk string) (mapping CustomerProductRiskMapping, err error) {
	db := models.Main()
	err = db.Model(CustomerProductRiskMapping{}).Select(configColumn).Where("customer_risk=? and is_deleted= ?", customerRisk, false).First(&mapping).Error
	return
}
