package order

import (
	"eta/eta_mini_ht_api/models"
	"time"
)

type RefundDealFlow struct {
	ID             int       `gorm:"column:id;primaryKey"`
	OperatorUserID int       `gorm:"column:operator_user_id"`
	ProductOrderNo string    `gorm:"column:product_order_no"`
	RefundOrderNo  string    `gorm:"column:refund_order_no"`
	CreatedTime    time.Time `gorm:"column:created_time"`
}

// TableName 返回表名
func (*RefundDealFlow) TableName() string {
	return "refund_deal_flow"
}

func GetRefundFlow(refundOrderNo string) (flow RefundDealFlow, err error) {
	db := models.Main()
	err = db.Select("*").Where("refund_order_no=?", refundOrderNo).First(&flow).Error
	return
}
