package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/chart:ChartController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/chart:ChartController"],
        beego.ControllerComments{
            Method: "UpdateChartImage",
            Router: `/updateChartImage`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/home:HomeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/home:HomeController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("key"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "Count",
            Router: `/count`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("permissionIds"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "GetMedia",
            Router: `/media`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("mediaId"),
				param.New("productId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("key"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:OrderController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:OrderController"],
        beego.ControllerComments{
            Method: "PreviewProductOrder",
            Router: `/previewProductOrder`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("productId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"],
        beego.ControllerComments{
            Method: "CloseOrder",
            Router: `/closeOrder`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"],
        beego.ControllerComments{
            Method: "GetOrderDetail",
            Router: `/orderDetail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("orderNo"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"],
        beego.ControllerComments{
            Method: "GetOrderList",
            Router: `/orderList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("orderStatus"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"],
        beego.ControllerComments{
            Method: "GetOrderNo",
            Router: `/orderNo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"],
        beego.ControllerComments{
            Method: "SubscribeProduct",
            Router: `/subscribe`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/order:SubscribeController"],
        beego.ControllerComments{
            Method: "SubscribeList",
            Router: `/subscribeList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("productType"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/payment:PaymentController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/payment:PaymentController"],
        beego.ControllerComments{
            Method: "PayOrder",
            Router: `/payOrder`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"],
        beego.ControllerComments{
            Method: "ProductList",
            Router: `/ProductList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("productType"),
				param.New("permissionIds"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"],
        beego.ControllerComments{
            Method: "GetProductInfo",
            Router: `/getProductInfo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("productId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"],
        beego.ControllerComments{
            Method: "ProductSearch",
            Router: `/productSearch`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("key"),
				param.New("isSignal"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/product:ProductController"],
        beego.ControllerComments{
            Method: "RelatePackage",
            Router: `/relatePackage`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("productId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "Count",
            Router: `/count`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "HotRanked",
            Router: `/hotRankedList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("permissionIds"),
				param.New("limit"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("permissionIds"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "GetPermissions",
            Router: `/permissionList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "PublishRanked",
            Router: `/publishRankedList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("permissionIds"),
				param.New("limit"),
				param.New("week"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "GetReport",
            Router: `/report`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("reportId"),
				param.New("productId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("key"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/sys:SysController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/sys:SysController"],
        beego.ControllerComments{
            Method: "GetConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("config"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AccountController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AccountController"],
        beego.ControllerComments{
            Method: "CheckUserStatus",
            Router: `/checkUserStatus/`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AccountController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AccountController"],
        beego.ControllerComments{
            Method: "GetRiskInfoToken",
            Router: `/v1/riskTestToken/`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "AnalystDetail",
            Router: `/analystDetail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("analystId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "AnalystList",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "MediaList",
            Router: `/mediaList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("analystId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "AnalystReportList",
            Router: `/reportList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("analystName"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "AreaCodes",
            Router: `/areaCodes`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "Disclaimer",
            Router: `/disclaimer`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "Logout",
            Router: `/logout`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "Notice",
            Router: `/notice`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "RefreshToken",
            Router: `/refreshToken`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("code"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "SMSCode",
            Router: `/sendCode`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "WXAppid",
            Router: `/wxAppid`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"],
        beego.ControllerComments{
            Method: "BookMark",
            Router: `/bookMark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"],
        beego.ControllerComments{
            Method: "BookMarkList",
            Router: `/bookMarkList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("sourceType"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"],
        beego.ControllerComments{
            Method: "BookMarkSearch",
            Router: `/bookMarkSearch`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("key"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"],
        beego.ControllerComments{
            Method: "CheckBookMark",
            Router: `/checkBookMark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:BookMarkController"],
        beego.ControllerComments{
            Method: "UnBookMark",
            Router: `/unBookMark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Get",
            Router: `/`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "BindGzh",
            Router: `/bind_gzh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "CheckFollowStatus",
            Router: `/checkFollowStatus`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("names"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Feedback",
            Router: `/feedback`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowAnalyst",
            Router: `/followAnalyst`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowAnalysts",
            Router: `/followAnalysts`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowingAnalystList",
            Router: `/followingAnalystList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowingAnalysts",
            Router: `/followingAnalysts`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("analystId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "UnReadMessageList",
            Router: `/message`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Profile",
            Router: `/profile`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "ReadMessage",
            Router: `/readMessage`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "ReadMessages",
            Router: `/readMessages`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Notify",
            Router: `/wx/notify`,
            AllowHTTPMethods: []string{"get","post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:ESController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:ESController"],
        beego.ControllerComments{
            Method: "DeleteEsData",
            Router: `/es/delete/`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesAccountController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesAccountController"],
        beego.ControllerComments{
            Method: "SyncCustomerAccountInfo",
            Router: `/v1/syncAccountInfo/`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesAccountController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesAccountController"],
        beego.ControllerComments{
            Method: "SyncCustomerRiskLevel",
            Router: `/v1/syncRiskLevel/`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesTradeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesTradeController"],
        beego.ControllerComments{
            Method: "InformPaymentResult",
            Router: `/v1/payment/informPaymentResult`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesTradeController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/web_hook:HTFuturesTradeController"],
        beego.ControllerComments{
            Method: "InformRefundResult",
            Router: `/v1/payment/informRefundResult`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers:WebSocketController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers:WebSocketController"],
        beego.ControllerComments{
            Method: "Connect",
            Router: `/connect`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
