package media

import (
	logger "eta/eta_mini_ht_api/common/component/log"
	chartService "eta/eta_mini_ht_api/domian/media"
)

type ChartInfo struct {
	ChartInfoId int
	ChartName   string
	ChartImage  string
	UniqueCode  string
}

func AddChartToEs(chartInfo ChartInfo) {
	success := chartService.AddChartToEs(chartService.EsChartInfo{
		ChartInfoId: chartInfo.ChartInfoId,
		ChartName:   chartInfo.ChartName,
		ChartImage:  chartInfo.ChartImage,
		UniqueCode:  chartInfo.UniqueCode,
	})
	if !success {
		logger.Error("新增图表到ES失败, chartInfoId:%d,uniqueCode:%s", chartInfo.ChartInfoId, chartInfo.UniqueCode)
	}
}

func UpdateChartImage(image string, id int) bool {
	return chartService.UpdateChartImage(image, id)
}

func GetChartById(chartInfoId int) (info ChartInfo, err error) {
	chart, err := chartService.GetChartById(chartInfoId)
	if err != nil {
		return
	}
	info = convertChartInfo(chart)
	return
}
func convertChartInfo(chart chartService.EsChartInfo) ChartInfo {
	return ChartInfo{
		ChartInfoId: chart.ChartInfoId,
		ChartName:   chart.ChartName,
		ChartImage:  chart.ChartImage,
		UniqueCode:  chart.UniqueCode,
	}
}
