package sms

import (
	logger "eta/eta_mini_ht_api/common/component/log"
	"eta/eta_mini_ht_api/common/contants"
	productService "eta/eta_mini_ht_api/domian/merchant"
	"eta/eta_mini_ht_api/task/base"
	"time"
)

var (
	taskName base.TaskType = "ExpireProductTask"
	cron                   = "59 10 09 * * *"
)

// Execute Task ETA取研报的数据
func (st *OrderTask) Execute(taskDetail *base.TaskDetail) error {
	logger.Info(contants.TaskFormat, "处理到期产品开始")
	dateTime := time.Now()
	var deadLine string
	if dateTime.Hour() <= 23 {
		deadLine = dateTime.Add(time.Hour * 24).Format(time.DateOnly)
	} else {
		deadLine = dateTime.Format(time.DateOnly)
	}
	err := productService.ExpireProduct(deadLine)
	if err != nil {
		logger.Error("处理到期产品失败:%v", err)
	}
	logger.Info(contants.TaskFormat, "处理到期产品结束")
	return err
}

type OrderTask struct {
}

func init() {
	orderTask := base.NewTask(taskName, cron, new(OrderTask), base.PROD)
	base.RegisterTask(&orderTask)
}
